import { request } from "@/lib/service"
import { baseUrl } from '@/config'

/**
 * @desc 获取分类列表
 */
export function getCatetories() {
	return request({
		url: 'zsxcx/shopGoodsCategory.htm',
		method: 'post'
	})
}

/**
 * @desc 店铺商品列表接口
 * @param { String } keywords 关键字：商品名称
 * @param { Number } cat_id * 分类ID
 */
export function cateGoodsList(cat_id, keywords = '') {
	return request({
		url: 'zsxcx/shopGoods.htm',
		method: 'post',
		data: {
			cat_id,
			keywords
		}
	})
}

/**
 * @desc 首页展示栏商品接口
 */
export function homeCategory() {
	return request({
		url: 'zsxcx/indexGoodsXcx.htm',
		method: 'post',
		needMask: true
	})
}