const state = {
	systemInfo: null,
	menuButtonInfo: null,
	menuCalcInfo: null
}

const mutations = {
	SETMOBILEDATA(state, params) {
		state.systemInfo = params.systemInfo
		state.menuButtonInfo = params.menuButtonInfo
		state.menuCalcInfo = params.menuCalcInfo
	}
}

const actions = {
	setMobileData: ({commit}) => {
		try{
			const systemInfo = uni.getSystemInfoSync()
			const menuButtonInfo = uni.getMenuButtonBoundingClientRect()
			const lrSpace = systemInfo.windowWidth - menuButtonInfo.right
			const btSpace = menuButtonInfo.top - systemInfo.statusBarHeight
			const menuCalcInfo = Object.freeze({
				navH: menuButtonInfo.bottom + btSpace, //导航栏高度
				lrSpace,// 和胶囊一样的左右间距
				btSpace, // 和胶囊一样的上下间距
			})
			const params = Object.freeze({
				systemInfo,
				menuButtonInfo,
				menuCalcInfo
			})
			commit('SETMOBILEDATA', params)
		}catch(e){
			console.log(e)
			//TODO handle the exception
		}
	}
}

export default {
    namespaced: true, 
    state,
	mutations,
	actions
}